Bug 978274 - Checkboxes for calendars, contact lists, todo lists etc should be *checked* by default
Checkboxes for calendars, contact lists, todo lists etc should be *checked* b...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
19
x86_64 All
unspecified Severity low
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 04:57 EDT by Adam Williamson
Modified: 2015-11-01 20:37 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:57:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-06-26 04:57:39 EDT
I hope I'm missing something here, but I can't think what.

I did an install of F19 Final RC2 from DVD with the KDE package set selected. After install I can set up a mail account in KMail OK, but I don't seem to be able to create todo list entries, calendar events or contacts in Kontact. Or, rather, I can see at least in ~/.local/share/contacts that a .vcf for my test contact is created, but Kontact does not appear to show it. It's possible the same happens to todo list entries and calendar events, but I don't know where to check for those.

Hope I'm missing something here, but if not, this looks like a final blocker per "All applications listed under the Applications menu or category must withstand a basic functionality test and not crash after a few minutes of normal use." - creating contacts and todo list entries would appear to be 'basic functionality' for a contact list app and a todo list app.
Comment 1 Adam Williamson 2013-06-26 04:58:04 EDT
Tested with two user accounts on one install, then a fresh install (from live image this time) and another user account.
Comment 2 Daniel Vrátil 2013-06-26 05:29:46 EDT
The checkbox at calendar/todo list/addressbook in respective applications must be checked in order for the items to be displayed.

It's annoying that the checkbox is not checked by default, but that's for another bug report :)
Comment 3 Adam Williamson 2013-06-26 05:30:04 EDT
So it turns out this is working fine, just either stunningly stupid design or a bug: KDE has checkboxes for each calendar / contact list / whatever (of course it does! it's KDE!), and they are unchecked by default, at least in my testing. When I find and click the checkbox, the contacts / events / whatever suddenly show up. Removing blocker nomination, dropping severity.
Comment 4 Adam Williamson 2013-06-26 05:30:38 EDT
d'oh, edit conflict.
Comment 5 Fedora End Of Life 2015-01-09 17:10:07 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-18 08:57:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.